package org.jerrymouse.database.normal;

import java.util.ArrayList;
import java.util.List;

import org.jerrymouse.database.DaoSupport;
import org.jerrymouse.database.jdo.JDODaoSupport;

public class NormalJDODaoSupport<T> extends JDODaoSupport<T> {
	@SuppressWarnings("unchecked")
	private static NormalJDODaoSupport normalJDODaoSupport=new NormalJDODaoSupport();
	
	List<T> list = new ArrayList<T>();

	@Override
	public List<T> list(Class<T> type) {
		return list;
	}

	@Override
	public void put(T object) {
		list.add(object);
	}

	@SuppressWarnings("unchecked")
	public static DaoSupport instance() {
		return normalJDODaoSupport;
	}
}
